Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Class ConnectionNodeEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gef.editparts.AbstractConnectionEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionNodeEditPart

All Implemented Interfaces:
  ConnectionEditPart, EditPart, java.util.EventListener, GraphicalEditPart, IAdaptable, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, LayerConstants, NodeEditPart, NotificationListener, java.beans.PropertyChangeListener, RequestConstants

public abstract class ConnectionNodeEditPart
extends ConnectionEditPart
implements INodeEditPart

Connection Node EditPart, a specialized Connection EditPart that installs a `ditPolicy.GRAPHICAL_NODE_ROLE` on this edit part. it also implements INodeEditPart which defines the connectable edit parts

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`AbstractConnectionEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart
`accessibleEP, appearanceProperties`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectionNodeEditPart(View view)` constructor

Method Summary
`void` `anchorChange()` updates identity connection anchors
`boolean` `canAttachNote()` This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.
`protected void` `createDefaultEditPolicies()` Should be overridden to install editpolicies programmatically.
`protected java.util.List` `getModelSourceConnections()`
`protected java.util.List` `getModelTargetConnections()`
`protected ConnectionAnchor` `getSourceConnectionAnchor()`
`ConnectionAnchor` `getSourceConnectionAnchor(ConnectionEditPart connEditPart)`
`ConnectionAnchor` `getSourceConnectionAnchor(Request request)`
`protected ConnectionAnchor` `getTargetConnectionAnchor()`
`ConnectionAnchor` `getTargetConnectionAnchor(ConnectionEditPart connEditPart)`
`ConnectionAnchor` `getTargetConnectionAnchor(Request request)`
`EditPart` `getTargetEditPart(Request request)`
`protected void` `handleNotificationEvent(Notification notification)` Handles the property changed event
`java.lang.String` `mapConnectionAnchorToTerminal(ConnectionAnchor c)` Method mapConnectionAnchorToTerminal.
`ConnectionAnchor` `mapTerminalToConnectionAnchor(java.lang.String terminal)` Method mapTerminalToConnectionAnchor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ConnectionEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addNotify, addSemanticListeners, createChild, createConnection, createConnectionFigure, createEditPolicies, createFigure, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getAppearancePropertyIDs, getChildBySemanticHint, getCommand, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEdge, getEditDomain, getEditingDomain, getMapMode, getModelChildren, getModelSource, getModelTarget, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getPropertyChangeCommand, getResourceManager, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, handlePropertyChangeEvent, installRouter, isCanonical, isEditModeEnabled, isSelectable, isSemanticConnection, notifyChanged, performDirectEditRequest, performRequest, propertyChange, reactivateSemanticModel, refresh, refreshBendpoints, refreshFont, refreshForegroundColor, refreshJumplinks, refreshRouterChange, refreshRoutingStyles, refreshSmoothness, refreshVisibility, refreshVisuals, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setFont, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, understandsRequest, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart
`activateFigure, deactivateFigure, getConnectionFigure, getSource, getTarget, refreshSourceAnchor, refreshTargetAnchor, setParent, setSource, setTarget`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ConnectionNodeEditPart

    public ConnectionNodeEditPart(View view)

  constructor

Parameters:
  `view` - owned view by this edit part

Method Detail

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Description copied from class: `ConnectionEditPart`
  Should be overridden to install editpolicies programmatically.

  Overrides:
    `createDefaultEditPolicies` in class `ConnectionEditPart`
  See Also:
    `AbstractEditPart.createEditPolicies()`

### getModelSourceConnections

    protected java.util.List getModelSourceConnections()

### getModelTargetConnections

    protected java.util.List getModelTargetConnections()

### getSourceConnectionAnchor

    protected ConnectionAnchor getSourceConnectionAnchor()

### getSourceConnectionAnchor

    public ConnectionAnchor getSourceConnectionAnchor(ConnectionEditPart connEditPart)

  Specified by:
    `getSourceConnectionAnchor` in interface `NodeEditPart`

### getSourceConnectionAnchor

    public ConnectionAnchor getSourceConnectionAnchor(Request request)

  Specified by:
    `getSourceConnectionAnchor` in interface `NodeEditPart`

### getTargetConnectionAnchor

    protected ConnectionAnchor getTargetConnectionAnchor()

### getTargetConnectionAnchor

    public ConnectionAnchor getTargetConnectionAnchor(ConnectionEditPart connEditPart)

  Specified by:
    `getTargetConnectionAnchor` in interface `NodeEditPart`

### getTargetConnectionAnchor

    public ConnectionAnchor getTargetConnectionAnchor(Request request)

  Specified by:
    `getTargetConnectionAnchor` in interface `NodeEditPart`

### mapConnectionAnchorToTerminal

    public final java.lang.String mapConnectionAnchorToTerminal(ConnectionAnchor c)

  Description copied from interface: `INodeEditPart`
  Method mapConnectionAnchorToTerminal.

  Specified by:
    `mapConnectionAnchorToTerminal` in interface `INodeEditPart`
  Parameters:
    `c` -
  Returns:
    Anchor

### mapTerminalToConnectionAnchor

    public final ConnectionAnchor mapTerminalToConnectionAnchor(java.lang.String terminal)

  Description copied from interface: `INodeEditPart`
  Method mapTerminalToConnectionAnchor.

  Specified by:
    `mapTerminalToConnectionAnchor` in interface `INodeEditPart`
  Parameters:
    `terminal` -
  Returns:
    ConnectionAnchor
  See Also:
    `INodeEditPart.mapTerminalToConnectionAnchor(String)`

### canAttachNote

    public boolean canAttachNote()

  Description copied from interface: `INotableEditPart`
  This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.

  Specified by:
    `canAttachNote` in interface `INotableEditPart`
  Returns:
    True if a note can be attached to it, false otherwise.

### handleNotificationEvent

    protected void handleNotificationEvent(Notification notification)

  Description copied from class: `ConnectionEditPart`
  Handles the property changed event

  Overrides:
    `handleNotificationEvent` in class `ConnectionEditPart`
  Parameters:
    `notification` - the property changed event

### anchorChange

    public void anchorChange()

  updates identity connection anchors

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  Specified by:
    `getTargetEditPart` in interface `EditPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.